Bug 260601 - (CVE-2007-4565) CVE-2007-4565 Fetchmail NULL pointer dereference
CVE-2007-4565 Fetchmail NULL pointer dereference
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 260861 260881 516266 516267 516268 516269 516270
  Show dependency treegraph
Reported: 2007-08-28 11:50 EDT by Red Hat Product Security
Modified: 2016-03-04 06:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-11-19 11:41:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 1 Lubomir Kundrak 2007-08-28 11:52:57 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-4565
to the following vulnerability:

fetchmail before 6.3.9 allows context-dependent attackers to cause a
denial of service (NULL dereference and application crash) by refusing
certain warning messages that are sent over SMTP.

Comment 3 Lubomir Kundrak 2007-08-29 12:05:29 EDT
Fetchmail dereferences NULL after SMTP server not accepting his warning mail to
postmaster. Attacker could possibly make fetchmail generate a warning (i.e. by
sending too big/malformed mail), but is pretty limited in how could he get the
SMTP server refuse a message (maybe fill his mail queue storage by sending lots
of mails). All he would get would be to crash the fetchmail.
Comment 4 Lubomir Kundrak 2007-08-29 12:07:00 EDT
The Red Hat Security Response Team has rated this issue as having low security
impact, a future update may address this flaw. More information regarding issue
severity can be found here: 

Comment 7 errata-xmlrpc 2009-09-08 11:20:56 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1427 https://rhn.redhat.com/errata/RHSA-2009-1427.html
Comment 8 Red Hat Bugzilla 2009-10-23 15:03:56 EDT
Reporter changed to security-response-team@redhat.com by request of Jay Turner.

Note You need to log in before you can comment on or make changes to this bug.